## ide-lsp-symbol-node-private ide-lsp-symbol-node-private |

## Functions

IdeLspSymbolNode * | ide_lsp_symbol_node_new ()

## Types and Values

| IdeLspSymbolNode

## Object Hierarchy

        GObject
        ╰── IdeSymbolNode
            ╰── IdeLspSymbolNode

## Description

## Functions

### ide_lsp_symbol_node_new ()

    IdeLspSymbolNode *
    ide_lsp_symbol_node_new (GFile *file,
                             const gchar *name,
                             const gchar *parent_name,
                             gint kind,
                             guint begin_line,
                             guint begin_column,
                             guint end_line,
                             guint end_column);

## Types and Values

### IdeLspSymbolNode

    typedef struct _IdeLspSymbolNode IdeLspSymbolNode;